"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateInProgress = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
/* @internal */
function updateInProgress(projectName, stackName, workDir) {
    const locksDir = (0, path_1.resolve)(workDir, ".pulumi/locks/organization", projectName, stackName);
    const files = (0, fs_1.readdirSync)(locksDir);
    return files.length > 0;
}
exports.updateInProgress = updateInProgress;
//# sourceMappingURL=pulumi-tools.js.map